Quick Links: Download Gideros Studio | Gideros Documentation | Gideros Development Center | Gideros community chat
What version of Xcode are people using? - Gideros Forum

What version of Xcode are people using?

At the moment I'm unable to build even the Gideros samples on iOS. I made the mistake of updating to Xcode 8, and now I'm trying Xcode 7.3.1. With both I get a lot of compile time errors about not finding include files with the syntax, which can be solved by switching to "file.h" syntax, but then I get link errors. It fails to find the luasocket library, though it's right there. I have minimal Xcode experience, so perhaps I'm doing something wrong, but in the past I was able to copy over a fresh Gideros export and have it build. So I'm wondering if it's an issue with the Xcode version. What version are people using successfully lately?

Paul

Comments

  • I'm using the latest xcode (8.2) and everything is ok apart from some specific issues I'm having right now.

    A common issue is having a space in the project title which messes up the framework/header/library search paths. Look in build settings > search paths. If the paths have separated into separate lines where your spaces are, edit the paths so that they are each on one line and wrap them in quotes.

    Another dirty fix is to change the "$(SRCROOT)/App-Name" path to "recursive" so it looks in all the sub-folders without you needing to specify them all.
  • That dirty fix is magic. Although, you have to manually remove the AppleTV folder from the export for it to work.
    My Gideros games: www.totebo.com
  • Agreed. Thanks so much! The app runs fine in the simulator now and is waiting for review.

    Likes: NatWobble

    +1 -1 (+1 / -0 ) Share on Facebook
Sign In or Register to comment.